package eu.decideh2020.devopsframework.architect.domain;

import javax.validation.Valid;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class NFR {
	
	
	private String uriref;
	
	private String title;
	
	private String description;
	
	
	public NFR(String uriref, String title, String description) {
		super();
		this.uriref = uriref;
		this.title = title;
		this.description = description;
	}
	
	
	public String getUriref() {
		return uriref;
	}
	public void setUriref(String uriref) {
		this.uriref = uriref;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	
	
	
}
