import { Injectable } from '@angular/core';
import { BehaviorSubject }    from 'rxjs/BehaviorSubject';


@Injectable()
export class AppChangeService {
    //private caseNumber: any;

    // Observable string sources
  private selectedApp = new BehaviorSubject<string>("-");  

  // Observable string streams
  selectedApp$ = this.selectedApp.asObservable();

    // Service message commands
  publishData(data: string) {
    this.selectedApp.next(data);
  }
  
  /*getData():string{
    return this.selectedApp.getValue();
  }*/
}