package eu.decideh2020.devopsframework.architect;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication
@EnableEurekaClient
@EnableFeignClients("es.experis.decide.client")
public class ArchitectServiceApplication {
	public static void main(String[] args) {
		SpringApplication.run(ArchitectServiceApplication.class, args);
	}
}
