import { Component, OnInit } from '@angular/core';

import { Router, ActivatedRoute } from '@angular/router';
 
import { AuthenticationService } from '../services/authentication.service';
import { User } from '../models/user.auth';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {
  model: any = {};
  loading = false;
  error = '';
  returnUrl: string;
  
  constructor(private route: ActivatedRoute, private authService:AuthenticationService, private router: Router) {
  }
  
 
  
  ngOnInit() {
    // reset login status
    //this.authService.logout();
 
    // get return url from route parameters or default to '/'
    this.returnUrl = this.route.snapshot.queryParams['returnUrl'] || '/dashboard';
  }
  
  login() {
      this.authService.login(this.model.username, this.model.password);
      this.router.navigate(['/dashboard']);
        /*this.authenticationService.login(this.model.username, this.model.password)
            .subscribe(
                data => {
                    this.router.navigate([this.returnUrl]);
                },
                error => {
                    //this.alertService.error(error);
                    this.loading = false;
                    this.error = "Error authenticating"
                });*/
    }
        /*this.loading = true;
        this.authenticationService.login(this.model.username, this.model.password)
            .subscribe(result => {
                if (result === true) {
                    // login successful
                    this.router.navigate(['home']);
                } else {
                    // login failed
                    this.error = 'Username or password is incorrect';
                    this.loading = false;
                }
            }, error => {
              this.loading = false;
              this.error = error;
            });*/
    
}