package es.experis.decide;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
@EnableEurekaClient
@EnableAutoConfiguration
public class HelloServiceApplication {
	
	@RequestMapping("/")
	public String test() {
		return "EEEEEEEEEE";
	}
	
	@RequestMapping("/welcome")
    public Map<String,Object> home() {
		Map<String,Object> model = new HashMap<String,Object>();
	    model.put("id", UUID.randomUUID().toString());
	    model.put("content", "Hello World");
	    return model;
    }
	
	public static void main(String[] args) {
		SpringApplication.run(HelloServiceApplication.class, args);
	}
}
