package eu.decideh2020.devopsframework.optimus;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Configuration;

@SpringBootApplication
@EnableEurekaClient
@EnableAutoConfiguration
public class OptimusServiceApplication {

	public static void main(String[] args) {
		SpringApplication.run(OptimusServiceApplication.class, args);
	}
}
