package eu.decideh2020.devopsframework.optimus.controller;

import java.io.IOException;
import java.io.PrintWriter;
import java.net.URI;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class OptimusRestController {
	
	String optimusInfo="Info";	
	
	OptimusRestController(){
	}
	
	@CrossOrigin
	@RequestMapping("/")
	public Map<String,Object> information() {
		Map<String,Object> model = new HashMap<String,Object>();
	    model.put("first", "The OPTIMUS tool is an eclipse plugin. ");
	    model.put("second", "Download the OPTIMUS update site from https://git.code.tecnalia.com/DECIDE_Public/DECIDE_Components/uploads/29f5332c9b1ba001924dc1baacc11964/decideh2020.optimus.zip and save it in a known folder (updatesitefolder)");
	    model.put("third", "Open your eclipse and install the update site (zip archive) selecting the \"Install New Software\" option from the \"Help\" menu.");
	    return model;
    }
	
}
